# frozen_string_literal: true

require 'bundler/setup'
require 'google-wedoops'

RSpec.configure do |conf|
  conf.before(:all) do
    Wedoops::Google.configure do |config|
      puts "Trying to config"
      config.user = "Pepito"
    end
  end

  conf.add_formatter(:documentation)

  # Enable flags like --only-failures and --next-failure
  conf.example_status_persistence_file_path = '.rspec_status'

  # Disable RSpec exposing methods globally on `Module` and `main`
  conf.disable_monkey_patching!

  conf.expect_with :rspec do |c|
    c.syntax = :expect
  end
end
